Bug 178123 - [PATCH] www/nginx: fix plist so it uses %D consistently
[PATCH] www/nginx: fix plist so it uses %D consistently
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey A. Osokin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-25 03:40 UTC by freebsd
Modified: 2013-05-03 21:00 UTC (History)
1 user (show)

See Also:


Attachments
nginx-1.2.8,1.patch (876 bytes, patch)
2013-04-25 03:40 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2013-04-25 03:40:00 UTC
This patch fixes plist so it won't break when using pkgng.

Note that using %D is important since pkg doesn't guarantee that @cwd
matches real world pwd (it just used to be that way in the past).

See here for details:
http://lists.freebsd.org/pipermail/freebsd-ports/2013-April/082800.html 

Port maintainer (osa@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2013-04-25 03:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-05-03 20:51:04 UTC
Author: osa
Date: Fri May  3 19:50:55 2013
New Revision: 317235
URL: http://svnweb.freebsd.org/changeset/ports/317235

Log:
  Update third-party drizzle module to version 0.1.5.
  Fix pkg-plist for pkgng. (*)
  
  Bump PORTREVISION.
  
  PR:	178123 (*)

Modified:
  head/www/nginx-devel/Makefile
  head/www/nginx-devel/distinfo
  head/www/nginx-devel/files/extra-patch-chaoslawful-drizzle-nginx-module-config
  head/www/nginx-devel/pkg-plist
  head/www/nginx/Makefile
  head/www/nginx/distinfo
  head/www/nginx/files/extra-patch-chaoslawful-drizzle-nginx-module-config
  head/www/nginx/pkg-plist

Modified: head/www/nginx-devel/Makefile
==============================================================================
--- head/www/nginx-devel/Makefile	Fri May  3 19:10:39 2013	(r317234)
+++ head/www/nginx-devel/Makefile	Fri May  3 19:50:55 2013	(r317235)
@@ -3,6 +3,7 @@
 
 PORTNAME=	nginx
 PORTVERSION=	1.4.0
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://nginx.org/download/
 MASTER_SITES+=	${MASTER_SITE_LOCAL}
@@ -556,8 +557,8 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/m
 
 .if ${PORT_OPTIONS:MDRIZZLE}
 LIB_DEPENDS+=	drizzle:${PORTSDIR}/databases/libdrizzle
-NGINX_DRIZZLE_VERSION=	0.1.4
-GIT_DRIZZLE_VERSION=	0-g59e12ad
+NGINX_DRIZZLE_VERSION=	0.1.5
+GIT_DRIZZLE_VERSION=	0-g943c915
 FETCH_ARGS=	-pRr
 MASTER_SITES+=	https://github.com/chaoslawful/drizzle-nginx-module/tarball/v${NGINX_DRIZZLE_VERSION}/:drizzle
 DISTFILES+=	chaoslawful-drizzle-nginx-module-v${NGINX_DRIZZLE_VERSION}-${GIT_DRIZZLE_VERSION}.tar.gz:drizzle

Modified: head/www/nginx-devel/distinfo
==============================================================================
--- head/www/nginx-devel/distinfo	Fri May  3 19:10:39 2013	(r317234)
+++ head/www/nginx-devel/distinfo	Fri May  3 19:50:55 2013	(r317235)
@@ -54,8 +54,8 @@ SHA256 (nginx-sticky-module-1.0.tar.gz) 
 SIZE (nginx-sticky-module-1.0.tar.gz) = 114184
 SHA256 (mod_zip-1.1.6.tar.gz) = d30546b4be8308c721df0240ebc38c474c6b577381a110321eded6dbed5104b1
 SIZE (mod_zip-1.1.6.tar.gz) = 21991
-SHA256 (chaoslawful-drizzle-nginx-module-v0.1.4-0-g59e12ad.tar.gz) = c9b476acce35bdf904b2276cf6a365f68d66994824d5df874615629a46809d1a
-SIZE (chaoslawful-drizzle-nginx-module-v0.1.4-0-g59e12ad.tar.gz) = 61064
+SHA256 (chaoslawful-drizzle-nginx-module-v0.1.5-0-g943c915.tar.gz) = 271e53a200004ea73fcd97a2dc62d17a7c0afdd9708542d39418d7ee0eef3d56
+SIZE (chaoslawful-drizzle-nginx-module-v0.1.5-0-g943c915.tar.gz) = 61201
 SHA256 (simpl-ngx_devel_kit-v0.2.18-0-g48bc5dd.tar.gz) = bfd737ee5608c1ec2e59409c47cb29e390aeb882b8c0bf00d7322e74585cebae
 SIZE (simpl-ngx_devel_kit-v0.2.18-0-g48bc5dd.tar.gz) = 64972
 SHA256 (agentzh-encrypted-session-nginx-module-v0.02-0-gc752861.tar.gz) = 9689fbef49b6c3b4c4fc67b21fe1aa60880a374af988e93b36b8cf5335109cd9

Modified: head/www/nginx-devel/files/extra-patch-chaoslawful-drizzle-nginx-module-config
==============================================================================
--- head/www/nginx-devel/files/extra-patch-chaoslawful-drizzle-nginx-module-config	Fri May  3 19:10:39 2013	(r317234)
+++ head/www/nginx-devel/files/extra-patch-chaoslawful-drizzle-nginx-module-config	Fri May  3 19:50:55 2013	(r317235)
@@ -1,5 +1,5 @@
---- ../chaoslawful-drizzle-nginx-module-59e12ad/config.orig	2011-12-30 10:26:53.000000000 +0400
-+++ ../chaoslawful-drizzle-nginx-module-59e12ad/config	2011-12-30 10:28:20.000000000 +0400
+--- ../chaoslawful-drizzle-nginx-module-943c915/config.orig	2011-12-30 10:26:53.000000000 +0400
++++ ../chaoslawful-drizzle-nginx-module-943c915/config	2011-12-30 10:28:20.000000000 +0400
 @@ -22,12 +22,12 @@
  
      if [ $ngx_found = no ]; then

Modified: head/www/nginx-devel/pkg-plist
==============================================================================
--- head/www/nginx-devel/pkg-plist	Fri May  3 19:10:39 2013	(r317234)
+++ head/www/nginx-devel/pkg-plist	Fri May  3 19:50:55 2013	(r317235)
@@ -18,12 +18,12 @@
 %%ETCDIR%%/nginx.conf-dist
 @exec if [ ! -f %D/%%ETCDIR%%/nginx.conf ] ; then cp -p %D/%F %B/nginx.conf; fi
 @dirrmtry %%ETCDIR%%
-%%WWWDATA%%@exec mkdir -p -m 755 www/nginx-dist
+%%WWWDATA%%@exec mkdir -p -m 755 %D/www/nginx-dist
 %%WWWDATA%%@exec if [ ! -d %D/www/nginx/ ] ; then ln -fs %D/www/nginx-dist %D/www/nginx; fi
 %%WWWDATA%%www/nginx-dist/EXAMPLE_DIRECTORY-DONT_ADD_OR_TOUCH_ANYTHING
 %%WWWDATA%%www/nginx-dist/index.html
 %%WWWDATA%%www/nginx-dist/50x.html
-%%WWWDATA%%@exec chmod a-w www/nginx-dist
+%%WWWDATA%%@exec chmod a-w %D/www/nginx-dist
 %%WWWDATA%%@unexec if [ -L %D/www/nginx ]; then rm -f %D/www/nginx; fi
 %%WWWDATA%%@dirrmtry www/nginx-dist
 sbin/nginx

Modified: head/www/nginx/Makefile
==============================================================================
--- head/www/nginx/Makefile	Fri May  3 19:10:39 2013	(r317234)
+++ head/www/nginx/Makefile	Fri May  3 19:50:55 2013	(r317235)
@@ -3,6 +3,7 @@
 
 PORTNAME=	nginx
 PORTVERSION=	1.4.0
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	www
 MASTER_SITES=	http://nginx.org/download/
@@ -556,8 +557,8 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/m
 
 .if ${PORT_OPTIONS:MDRIZZLE}
 LIB_DEPENDS+=	drizzle:${PORTSDIR}/databases/libdrizzle
-NGINX_DRIZZLE_VERSION=	0.1.4
-GIT_DRIZZLE_VERSION=	0-g59e12ad
+NGINX_DRIZZLE_VERSION=	0.1.5
+GIT_DRIZZLE_VERSION=	0-g943c915
 FETCH_ARGS=	-pRr
 MASTER_SITES+=	https://github.com/chaoslawful/drizzle-nginx-module/tarball/v${NGINX_DRIZZLE_VERSION}/:drizzle
 DISTFILES+=	chaoslawful-drizzle-nginx-module-v${NGINX_DRIZZLE_VERSION}-${GIT_DRIZZLE_VERSION}.tar.gz:drizzle

Modified: head/www/nginx/distinfo
==============================================================================
--- head/www/nginx/distinfo	Fri May  3 19:10:39 2013	(r317234)
+++ head/www/nginx/distinfo	Fri May  3 19:50:55 2013	(r317235)
@@ -54,8 +54,8 @@ SHA256 (nginx-sticky-module-1.0.tar.gz) 
 SIZE (nginx-sticky-module-1.0.tar.gz) = 114184
 SHA256 (mod_zip-1.1.6.tar.gz) = d30546b4be8308c721df0240ebc38c474c6b577381a110321eded6dbed5104b1
 SIZE (mod_zip-1.1.6.tar.gz) = 21991
-SHA256 (chaoslawful-drizzle-nginx-module-v0.1.4-0-g59e12ad.tar.gz) = c9b476acce35bdf904b2276cf6a365f68d66994824d5df874615629a46809d1a
-SIZE (chaoslawful-drizzle-nginx-module-v0.1.4-0-g59e12ad.tar.gz) = 61064
+SHA256 (chaoslawful-drizzle-nginx-module-v0.1.5-0-g943c915.tar.gz) = 271e53a200004ea73fcd97a2dc62d17a7c0afdd9708542d39418d7ee0eef3d56
+SIZE (chaoslawful-drizzle-nginx-module-v0.1.5-0-g943c915.tar.gz) = 61201
 SHA256 (simpl-ngx_devel_kit-v0.2.18-0-g48bc5dd.tar.gz) = bfd737ee5608c1ec2e59409c47cb29e390aeb882b8c0bf00d7322e74585cebae
 SIZE (simpl-ngx_devel_kit-v0.2.18-0-g48bc5dd.tar.gz) = 64972
 SHA256 (agentzh-encrypted-session-nginx-module-v0.02-0-gc752861.tar.gz) = 9689fbef49b6c3b4c4fc67b21fe1aa60880a374af988e93b36b8cf5335109cd9

Modified: head/www/nginx/files/extra-patch-chaoslawful-drizzle-nginx-module-config
==============================================================================
--- head/www/nginx/files/extra-patch-chaoslawful-drizzle-nginx-module-config	Fri May  3 19:10:39 2013	(r317234)
+++ head/www/nginx/files/extra-patch-chaoslawful-drizzle-nginx-module-config	Fri May  3 19:50:55 2013	(r317235)
@@ -1,5 +1,5 @@
---- ../chaoslawful-drizzle-nginx-module-59e12ad/config.orig	2011-12-30 10:26:53.000000000 +0400
-+++ ../chaoslawful-drizzle-nginx-module-59e12ad/config	2011-12-30 10:28:20.000000000 +0400
+--- ../chaoslawful-drizzle-nginx-module-943c915/config.orig	2011-12-30 10:26:53.000000000 +0400
++++ ../chaoslawful-drizzle-nginx-module-943c915/config	2011-12-30 10:28:20.000000000 +0400
 @@ -22,12 +22,12 @@
  
      if [ $ngx_found = no ]; then

Modified: head/www/nginx/pkg-plist
==============================================================================
--- head/www/nginx/pkg-plist	Fri May  3 19:10:39 2013	(r317234)
+++ head/www/nginx/pkg-plist	Fri May  3 19:50:55 2013	(r317235)
@@ -18,12 +18,12 @@
 %%ETCDIR%%/nginx.conf-dist
 @exec if [ ! -f %D/%%ETCDIR%%/nginx.conf ] ; then cp -p %D/%F %B/nginx.conf; fi
 @dirrmtry %%ETCDIR%%
-%%WWWDATA%%@exec mkdir -p -m 755 www/nginx-dist
+%%WWWDATA%%@exec mkdir -p -m 755 %D/www/nginx-dist
 %%WWWDATA%%@exec if [ ! -d %D/www/nginx/ ] ; then ln -fs %D/www/nginx-dist %D/www/nginx; fi
 %%WWWDATA%%www/nginx-dist/EXAMPLE_DIRECTORY-DONT_ADD_OR_TOUCH_ANYTHING
 %%WWWDATA%%www/nginx-dist/index.html
 %%WWWDATA%%www/nginx-dist/50x.html
-%%WWWDATA%%@exec chmod a-w www/nginx-dist
+%%WWWDATA%%@exec chmod a-w %D/www/nginx-dist
 %%WWWDATA%%@unexec if [ -L %D/www/nginx ]; then rm -f %D/www/nginx; fi
 %%WWWDATA%%@dirrmtry www/nginx-dist
 sbin/nginx
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sergey A. Osokin freebsd_committer 2013-05-03 20:51:35 UTC
State Changed
From-To: open->closed

Committed, thanks!